New URL for NEMO forge!   http://forge.nemo-ocean.eu

Since March 2022 along with NEMO 4.2 release, the code development moved to a self-hosted GitLab.
This present forge is now archived and remained online for history.
#2496 (2020WP/HPC-07_mocavero_mpi3) – NEMO

Opened 2 years ago

Closed 22 months ago

Last modified 8 months ago

#2496 closed Task (fixed)

2020WP/HPC-07_mocavero_mpi3

Reported by: francesca Owned by: mocavero
Priority: normal Milestone: 2020 WP
Component: LBC Version: trunk
Severity: minor Keywords: 2020 WP HPC
Cc: andmirek, epico, mocavero, francesca

Description (last modified by francesca)

The task concerns the use of MPI3 neighbourhood collective operations to perform halo exchange with a single MPI communication call

Workplan action

Wikipage: wiki:2020WP/HPC-07_mocavero_mpi3

Commit History (9)

ChangesetAuthorTimeChangeLog
13639mocavero2020-10-19T17:51:56+02:00

Added key_mpi3 in sette to activate/deactivate the use of MPI3 neighborhood collectives lbc routines - ticket #2496

13638mocavero2020-10-19T17:36:59+02:00

Create sette branch to introduce key_mpi3 - ticket #2496

13632mocavero2020-10-19T10:53:30+02:00

Add neighborhood collectives calls in the NEMO test - ticket #2496

13631mocavero2020-10-19T10:49:13+02:00

Add neighborhood collectives calls in the NEMO cfgs - ticket #2496

13630mocavero2020-10-19T10:48:19+02:00

Add neighborhood collectives calls in the NEMO src - ticket #2496

13570mocavero2020-10-06T16:49:27+02:00

Added key_mpi3 to activate/deactivate the use of MPI3 neighborhood collectives lbc routines - ticket #2496

13561mocavero2020-10-04T11:18:11+02:00

Add neighborhood collectives lbc routines for both 5-points and 9-points stencil - ticket #2496

13303mocavero2020-07-14T13:38:28+02:00

Add neighborhood collectives lbc routines - ticket #2496

13302mocavero2020-07-14T10:43:30+02:00

Create HPC-07 branch - ticket #2496

Change History (13)

comment:1 Changed 2 years ago by francesca

  • Description modified (diff)

comment:2 Changed 2 years ago by mocavero

In 13302:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:3 Changed 2 years ago by mocavero

In 13303:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:4 Changed 2 years ago by mocavero

In 13561:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:5 Changed 2 years ago by mocavero

In 13570:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:6 Changed 2 years ago by mocavero

In 13630:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:7 Changed 2 years ago by mocavero

In 13631:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:8 Changed 2 years ago by mocavero

In 13632:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:9 Changed 2 years ago by mocavero

In 13638:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:10 Changed 2 years ago by mocavero

In 13639:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:11 Changed 2 years ago by andmirek

  • branch_review changed from pending to passed

comment:12 Changed 22 months ago by francesca

  • Resolution set to fixed
  • Status changed from new to closed

Branch merged in the trunk

comment:13 Changed 8 months ago by nemo

  • Keywords 2020 WP added; 2020WP removed
Note: See TracTickets for help on using tickets.